import React, { Component } from 'react';

import './css/StopTitle.css';

class StopTitle extends Component {
    render() {
        console.log(this.props.stop);

        return (
            <div id="stopTitle">
                <h1>{this.props.stop.name !== undefined ?
                    this.props.stop.name
                    : "Hållplats saknas"
                }</h1>

                {this.props.stop.name !== undefined && this.props.stop.locations !== undefined ?
                    <div>
                        <h3>
                            <span>{this.props.stop.locations[0]}</span>
                        </h3>
                        <button>Byt Läge</button>
                    </div>
                    :
                    (this.props.stop.name !== undefined ?
                        <></>
                        : <h3>Vänligen aktivera platsåtkomst</h3>
                    )
                }
            </div>
        );
    }
}

export default StopTitle;